%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-Test-Warn
Version:        0.30
Release:        1mamba
Summary:        Test::Warn - Provides a few convenience methods for testing warning based code
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Aleph0 <aleph0@openmamba.org>
URL:            http://www.cpan.org
Source:         http://www.cpan.org/modules/by-module/Test/Test-Warn-%{version}.tar.gz
License:        Artistic License
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Array-Compare
BuildRequires:  perl-Sub-Uplevel
BuildRequires:  perl-Tree-DAG_Node
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
This module provides a few convenience methods for testing warning based code.

%prep
%setup -q -n Test-Warn-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 0.30-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24-2mamba
- perl 5.16 mass rebuild

* Mon Apr 09 2012 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic version update by autodist

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 0.23-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-1mamba
- update to 0.11

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 0.10-1mamba
- package created by autospec
